mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.Runtime.Remoting.Channels.IServerChannelSinkStack System.Runtime.InteropServices.ComVisible(true)

This class makes a link demand. A security exception is thrown if the immediate caller does not have infrastructure permission. See [<topic://cpconLinkDemands>] for more information.

Holds the stack of server channel sinks.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` ``

  This method initializes asynchronous processing on the top sink in the current sink stack. For additional information, see the method.

  Requests asynchronous processing of a method call on the sinks in the current sink stack.

  The message to be serialized onto the requested stream. The headers retrieved from the server response stream. The stream coming back from the transport sink.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.IO.Stream `` ``

  This method returns the stream returned by the called with the and parameters ( (, )) on the top sink in the current sink stack. The top sink in the sink stack remains unchanged.

  Returns the onto which the specified message is to be serialized.

  The onto which the specified message is to be serialized.

  The message to be serialized onto the requested stream. The headers retrieved from the server response stream.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object `` To be added

  Pops the information associated with all the sinks from the sink stack up to and including the specified sink.

  Information generated on the request side and associated with the specified sink.

  The sink to remove and return from the sink stack.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  The information generated on the request side and specified in the parameter is returned in the parameter of the method on the corresponding sink.

  Pushes the specified sink and information associated with it onto the sink stack.

  The sink to push onto the sink stack. Information generated on the request side that is needed on the response side.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  The dispatched message represents a request method call on a remote object.

  The method is intended for use only by the .NET Framework remoting infrastructure. You should not call it directly.

  Provides a delegate to handle a callback after a message has been dispatched asynchronously.

  The status and state of an asynchronous operation on a remote object.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  The method is intended for use only by the .NET Framework remoting infrastructure. You should not call it directly.

  Stores a message sink and its associated state for later asynchronous processing.

  A server channel sink. The state associated with .
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  The method is intended for use only by the .NET Framework remoting infrastructure. You should not call it directly.

  The method should be only called by a transport sink to complete an asynchronous dispatch.

  Stores a message sink and its associated state, and then dispatches a message asynchronously, using the sink just stored and any other stored sinks.

  A server channel sink. The state associated with .